com.google.gwt.i18n.client.constants

## Interface DateTimeConstantsImpl

- All Superinterfaces:
    Constants, DateTimeConstants, Localizable, LocalizableResource

      public interface DateTimeConstantsImpl
      extends Constants, DateTimeConstants

  DateTimeConstantsImpl class encapsulate a collection of DateTime formatting symbols for use with DateTime format and parse services. This class extends GWT's Constants class. The actual symbol collections are defined in a set of property files named like "DateTimeConstants_xx.properties". GWT will will perform late binding to the property file that specific to user's locale.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.google.gwt.i18n.client.Constants

      `Constants.DefaultBooleanValue, Constants.DefaultDoubleValue, Constants.DefaultFloatValue, Constants.DefaultIntValue, Constants.DefaultStringArrayValue, Constants.DefaultStringMapValue, Constants.DefaultStringValue`

    - ### Nested classes/interfaces inherited from interface com.google.gwt.i18n.client.LocalizableResource

      `LocalizableResource.DefaultLocale, LocalizableResource.Description, LocalizableResource.Generate, LocalizableResource.GeneratedFrom, LocalizableResource.GenerateKeys, LocalizableResource.Key, LocalizableResource.Meaning`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `ampms()`
    `java.lang.String[]` | `dateFormats()`
    `java.lang.String[]` | `eraNames()`
    `java.lang.String[]` | `eras()`
    `java.lang.String` | `firstDayOfTheWeek()`
    `java.lang.String[]` | `months()`
    `java.lang.String[]` | `narrowMonths()`
    `java.lang.String[]` | `narrowWeekdays()`
    `java.lang.String[]` | `quarters()`
    `java.lang.String[]` | `shortMonths()`
    `java.lang.String[]` | `shortQuarters()`
    `java.lang.String[]` | `shortWeekdays()`
    `java.lang.String[]` | `standaloneMonths()`
    `java.lang.String[]` | `standaloneNarrowMonths()`
    `java.lang.String[]` | `standaloneNarrowWeekdays()`
    `java.lang.String[]` | `standaloneShortMonths()`
    `java.lang.String[]` | `standaloneShortWeekdays()`
    `java.lang.String[]` | `standaloneWeekdays()`
    `java.lang.String[]` | `timeFormats()`
    `java.lang.String[]` | `weekdays()`
    `java.lang.String[]` | `weekendRange()`

- - ### Method Detail

    - #### ampms

          java.lang.String[] ampms()

      Specified by:
        `ampms` in interface `DateTimeConstants`

    - #### dateFormats

          java.lang.String[] dateFormats()

      Specified by:
        `dateFormats` in interface `DateTimeConstants`

    - #### eraNames

          java.lang.String[] eraNames()

      Specified by:
        `eraNames` in interface `DateTimeConstants`

    - #### eras

          java.lang.String[] eras()

      Specified by:
        `eras` in interface `DateTimeConstants`

    - #### firstDayOfTheWeek

          java.lang.String firstDayOfTheWeek()

      Specified by:
        `firstDayOfTheWeek` in interface `DateTimeConstants`

    - #### months

          java.lang.String[] months()

      Specified by:
        `months` in interface `DateTimeConstants`

    - #### narrowMonths

          java.lang.String[] narrowMonths()

      Specified by:
        `narrowMonths` in interface `DateTimeConstants`

    - #### narrowWeekdays

          java.lang.String[] narrowWeekdays()

      Specified by:
        `narrowWeekdays` in interface `DateTimeConstants`

    - #### quarters

          java.lang.String[] quarters()

      Specified by:
        `quarters` in interface `DateTimeConstants`

    - #### shortMonths

          java.lang.String[] shortMonths()

      Specified by:
        `shortMonths` in interface `DateTimeConstants`

    - #### shortQuarters

          java.lang.String[] shortQuarters()

      Specified by:
        `shortQuarters` in interface `DateTimeConstants`

    - #### shortWeekdays

          java.lang.String[] shortWeekdays()

      Specified by:
        `shortWeekdays` in interface `DateTimeConstants`

    - #### standaloneMonths

          java.lang.String[] standaloneMonths()

      Specified by:
        `standaloneMonths` in interface `DateTimeConstants`

    - #### standaloneNarrowMonths

          java.lang.String[] standaloneNarrowMonths()

      Specified by:
        `standaloneNarrowMonths` in interface `DateTimeConstants`

    - #### standaloneNarrowWeekdays

          java.lang.String[] standaloneNarrowWeekdays()

      Specified by:
        `standaloneNarrowWeekdays` in interface `DateTimeConstants`

    - #### standaloneShortMonths

          java.lang.String[] standaloneShortMonths()

      Specified by:
        `standaloneShortMonths` in interface `DateTimeConstants`

    - #### standaloneShortWeekdays

          java.lang.String[] standaloneShortWeekdays()

      Specified by:
        `standaloneShortWeekdays` in interface `DateTimeConstants`

    - #### standaloneWeekdays

          java.lang.String[] standaloneWeekdays()

      Specified by:
        `standaloneWeekdays` in interface `DateTimeConstants`

    - #### timeFormats

          java.lang.String[] timeFormats()

      Specified by:
        `timeFormats` in interface `DateTimeConstants`

    - #### weekdays

          java.lang.String[] weekdays()

      Specified by:
        `weekdays` in interface `DateTimeConstants`

    - #### weekendRange

          java.lang.String[] weekendRange()

      Specified by:
        `weekendRange` in interface `DateTimeConstants`